Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.actions.edit
Class NewNodeAction

    java.lang.Object
      javax.swing.AbstractAction
          info.bioinfweb.treegraph.gui.actions.TreeGraphAction
              info.bioinfweb.treegraph.gui.actions.DocumentAction
                  info.bioinfweb.treegraph.gui.actions.edit.NewNodeAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class NewNodeAction

extends DocumentAction

Author:
  Ben Stöver
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`NewNodeAction(MainFrame mainFrame)`

Method Summary
`static boolean` | `insertSubtree(Document document, Node parent, Node root)` Inserts a new subelement as the last subelement of the given parent.
`static boolean` | `insertSubtree(Document document, Node parent, Node root, int index)` Inserts a new subelement at the given position.
`protected void` | `onActionPerformed(ActionEvent e, TreeInternalFrame frame)` Subclasses should implement this method instead of overriding `DocumentAction.actionPerformed(ActionEvent)`.
`void` | `setEnabled(Document document, TreeSelection selection, NodeBranchDataAdapter tableAdapter)`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.DocumentAction
`actionPerformed, getMainFrame, oneElementSelected`

Methods inherited from class info.bioinfweb.treegraph.gui.actions.TreeGraphAction
`loadSymbols`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewNodeAction

    public NewNodeAction(MainFrame mainFrame)

Method Detail

### setEnabled

    public void setEnabled(Document document,
                           TreeSelection selection,
                           NodeBranchDataAdapter tableAdapter)

  Specified by:
    `setEnabled` in class `DocumentAction`

### insertSubtree

    public static boolean insertSubtree(Document document,
                                        Node parent,
                                        Node root)

  Inserts a new subelement as the last subelement of the given parent. This method should be used for inserting newly generated elements and paste-operations of single taxa, labels or nodes with or without whole subtrees. If `parent` is `null` the given element will set as tree-root. If the tree-root is already set, an `IllegalArgumentException` will be thrown.

  Parameters:
    `parent` - the parent node under which the subelement should be inserted
    `root` - the element to insert or the root element of the subtree to insert

### insertSubtree

    public static boolean insertSubtree(Document document,
                                        Node parent,
                                        Node root,
                                        int index)

  Inserts a new subelement at the given position. This method should be used for inserting newly generated elements and paste-operations of single elements or whole subtrees at a defined position. The position must not be greater then the current number of subelements. Note that labels can not be inserted an defined position because their position is irrelevant.

  Parameters:
    `parent` - the parent node under which the subelement should be inserted
    `pos` - the position where the new element or subtree shall be inserted
    `root` - the element to insert or the root element of the subtree to insert (can't be label)

### onActionPerformed

    protected void onActionPerformed(ActionEvent e,
                                     TreeInternalFrame frame)

  Description copied from class: `DocumentAction`
  Subclasses should implement this method instead of overriding `DocumentAction.actionPerformed(ActionEvent)`.

  Specified by:
    `onActionPerformed` in class `DocumentAction`
    `frame` - the internal frame which was active while the user performed this action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD